Package com.oracle.nosql.spring.data.core.mapping

# Class BasicNosqlPersistentProperty

java.lang.Object
org.springframework.data.mapping.model.AbstractPersistentProperty<NosqlPersistentProperty>
org.springframework.data.mapping.model.AnnotationBasedPersistentProperty<NosqlPersistentProperty>
com.oracle.nosql.spring.data.core.mapping.BasicNosqlPersistentProperty

All Implemented Interfaces:
  `NosqlPersistentProperty`, `org.springframework.data.mapping.PersistentProperty<NosqlPersistentProperty>`

public class BasicNosqlPersistentProperty extends org.springframework.data.mapping.model.AnnotationBasedPersistentProperty<NosqlPersistentProperty> implements NosqlPersistentProperty

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.oracle.nosql.spring.data.core.mapping.NosqlPersistentProperty

  `NosqlPersistentProperty.TypeCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.springframework.data.mapping.Association<NosqlPersistentProperty>`
  `createAssociation()`
  `static NosqlPersistentProperty.TypeCode`
  `getCodeForDeserialization(Class<?> cls)`
  `static NosqlPersistentProperty.TypeCode`
  `getCodeForSerialization(Class<?> cls)`
  `NosqlPersistentProperty.TypeCode`
  `getTypeCode()`
  The code of the type of the property
  `boolean`
  `isCompositeKey()`
  Whether the property is a composite primary key.
  `boolean`
  `isIdProperty()`
  `boolean`
  `isNosqlKey()`
  Whether the property is a `NosqlKey`

  ### Methods inherited from class org.springframework.data.mapping.model.AnnotationBasedPersistentProperty

  `findAnnotation, findPropertyOrOwnerAnnotation, getAssociationTargetTypeInformation, getSpelExpression, isAnnotationPresent, isAssociation, isTransient, isVersionProperty, isWritable, toString, usePropertyAccess`

  ### Methods inherited from class org.springframework.data.mapping.model.AbstractPersistentProperty

  `equals, getActualType, getActualTypeInformation, getAssociation, getAssociationTargetType, getComponentType, getField, getGetter, getMapValueType, getName, getOwner, getPersistentEntityTypeInformation, getProperty, getRawType, getSetter, getType, getTypeInformation, getWither, hashCode, isArray, isCollectionLike, isEntity, isImmutable, isMap, isReadable`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.springframework.data.mapping.PersistentProperty

  `findAnnotation, findPropertyOrOwnerAnnotation, getAccessorForOwner, getActualType, getAssociation, getAssociationTargetType, getAssociationTargetTypeInformation, getComponentType, getField, getGetter, getMapValueType, getName, getOwner, getPersistentEntityTypeInformation, getRawType, getRequiredAnnotation, getRequiredAssociation, getRequiredField, getRequiredGetter, getRequiredSetter, getRequiredWither, getSetter, getSpelExpression, getType, getTypeInformation, getWither, hasActualTypeAnnotation, isAnnotationPresent, isArray, isAssociation, isCollectionLike, isEntity, isImmutable, isMap, isReadable, isTransient, isVersionProperty, isWritable, usePropertyAccess`

- ## Method Details

  - ### createAssociation

    protected org.springframework.data.mapping.Association<NosqlPersistentProperty> createAssociation()
    Specified by:
      `createAssociation` in class `org.springframework.data.mapping.model.AbstractPersistentProperty<NosqlPersistentProperty>`

  - ### isIdProperty

    public boolean isIdProperty()
    Specified by:
      `isIdProperty` in interface `org.springframework.data.mapping.PersistentProperty<NosqlPersistentProperty>`
    Overrides:
      `isIdProperty` in class `org.springframework.data.mapping.model.AnnotationBasedPersistentProperty<NosqlPersistentProperty>`

  - ### getTypeCode

    public NosqlPersistentProperty.TypeCode getTypeCode()
    The code of the type of the property
    Specified by:
      `getTypeCode` in interface `NosqlPersistentProperty`
    Returns:
      The property type code

  - ### getCodeForDeserialization

    public static NosqlPersistentProperty.TypeCode getCodeForDeserialization(Class<?> cls)

  - ### getCodeForSerialization

    public static NosqlPersistentProperty.TypeCode getCodeForSerialization(Class<?> cls)

  - ### isCompositeKey

    public boolean isCompositeKey()
    Description copied from interface: `NosqlPersistentProperty`
    Whether the property is a composite primary key.
    Specified by:
      `isCompositeKey` in interface `NosqlPersistentProperty`

  - ### isNosqlKey

    public boolean isNosqlKey()
    Description copied from interface: `NosqlPersistentProperty`
    Whether the property is a `NosqlKey`
    Specified by:
      `isNosqlKey` in interface `NosqlPersistentProperty`